org.jfree.chart.plot

## Interface DrawingSupplier

All Known Implementing Classes:
  DefaultDrawingSupplier

    public interface DrawingSupplier

A supplier of `Paint`, `Stroke` and `Shape` objects for use by plots and renderers. By providing a central place for obtaining these items, we can ensure that duplication is avoided.

To support the cloning of charts, classes that implement this interface should also implement `PublicCloneable`.

### Method Summary

Methods
`java.awt.Paint` `getNextFillPaint()` Returns the next fill paint in a sequence maintained by the supplier.
`java.awt.Paint` `getNextOutlinePaint()` Returns the next outline paint in a sequence maintained by the supplier.
`java.awt.Stroke` `getNextOutlineStroke()` Returns the next `Stroke` object in a sequence maintained by the supplier.
`java.awt.Paint` `getNextPaint()` Returns the next paint in a sequence maintained by the supplier.
`java.awt.Shape` `getNextShape()` Returns the next `Shape` object in a sequence maintained by the supplier.
`java.awt.Stroke` `getNextStroke()` Returns the next `Stroke` object in a sequence maintained by the supplier.

### Method Detail

#### getNextPaint

    java.awt.Paint getNextPaint()

Returns the next paint in a sequence maintained by the supplier.

Returns:
  The paint.

#### getNextOutlinePaint

    java.awt.Paint getNextOutlinePaint()

Returns the next outline paint in a sequence maintained by the supplier.

Returns:
  The paint.

#### getNextFillPaint

    java.awt.Paint getNextFillPaint()

Returns the next fill paint in a sequence maintained by the supplier.

Returns:
  The paint.
Since:
  1.0.6

#### getNextStroke

    java.awt.Stroke getNextStroke()

Returns the next `Stroke` object in a sequence maintained by the supplier.

Returns:
  The stroke.

#### getNextOutlineStroke

    java.awt.Stroke getNextOutlineStroke()

Returns the next `Stroke` object in a sequence maintained by the supplier.

Returns:
  The stroke.

#### getNextShape

    java.awt.Shape getNextShape()

Returns the next `Shape` object in a sequence maintained by the supplier.

Returns:
  The shape.